//
//  PictureViewController.swift
//  FaceTilt
//
//  Created by Sally McNichols on 10/26/14.
//  Copyright (c) 2014 CMU iOS Development StuCo. All rights reserved.
//

import UIKit

class PictureViewController: UIViewController, UIImagePickerControllerDelegate, UINavigationControllerDelegate, UIActionSheetDelegate{
    
    @IBOutlet var pictureImageView: UIImageView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        if(self.pictureImageView.image == nil) {
            self.pictureImageView.image = UIImage(named: "no_image.jpg")
        }
        self.pictureImageView.layer.cornerRadius = self.pictureImageView.bounds.size.height / 2.0
        self.pictureImageView.layer.masksToBounds = true
    }

        @IBAction func selectImageButton(sender: AnyObject) {
            var actionSheet: UIActionSheet = UIActionSheet(title: "Photo Picker",
                                                            delegate: self,
                                                            cancelButtonTitle: "Cancel",
                                                            destructiveButtonTitle: nil,
                                                            otherButtonTitles: "Photo Library",
                                                                               "Take Photo")
            actionSheet.showInView(self.view)
    }
    
    func actionSheet(actionSheet: UIActionSheet, clickedButtonAtIndex buttonIndex: Int) {
        // user selected cancel
        if(buttonIndex == 0) {
            return
        }
        var imagePicker: UIImagePickerController = UIImagePickerController()
        imagePicker.delegate = self
        imagePicker.allowsEditing = true
        // default to selecting photo from photolibrary
        imagePicker.sourceType = UIImagePickerControllerSourceType.PhotoLibrary
        
        // if the user selected camera and the camera is available
        if(buttonIndex == 2 && UIImagePickerController.isSourceTypeAvailable(UIImagePickerControllerSourceType.Camera)) {
            imagePicker.sourceType = UIImagePickerControllerSourceType.Camera
        }
        // Show the image picker
        presentViewController(imagePicker, animated: true, completion: nil)
    }
    
    func imagePickerController(picker: UIImagePickerController, didFinishPickingMediaWithInfo info: [NSObject : AnyObject]) {
        var image: UIImage = info[UIImagePickerControllerEditedImage] as UIImage
        dismissViewControllerAnimated(true, completion: nil)
        self.pictureImageView.image = image
    }
    
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject!) {
        if var secondViewController = segue.destinationViewController as? TiltViewController {
            secondViewController.imageView.image = self.pictureImageView.image!
        }

    }

}
